Index: /branches/network/src/lib/gui/gl/glmenu/glmenu_imagescreen.cc
===================================================================
--- /branches/network/src/lib/gui/gl/glmenu/glmenu_imagescreen.cc	(revision 9924)
+++ /branches/network/src/lib/gui/gl/glmenu/glmenu_imagescreen.cc	(revision 9925)
@@ -26,6 +26,5 @@
 #include "debug.h"
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(GLMenuImageScreen, CL_GLMENU_IMAGE_SCREEN);
+ObjectListDefinition(GLMenuImageScreen);
 CREATE_FACTORY(GLMenuImageScreen);
 
Index: /branches/network/src/lib/network/player_stats.cc
===================================================================
--- /branches/network/src/lib/network/player_stats.cc	(revision 9924)
+++ /branches/network/src/lib/network/player_stats.cc	(revision 9925)
@@ -30,7 +30,7 @@
 #include "shell_command.h"
 
-#include "class_id_DEPRECATED.h"
-
-ObjectListDefinitionID(PlayerStats, CL_PLAYER_STATS);
+
+
+ObjectListDefinition(PlayerStats);
 CREATE_FACTORY(PlayerStats);
 
Index: /branches/network/src/lib/physics/fields/gravity.cc
===================================================================
--- /branches/network/src/lib/physics/fields/gravity.cc	(revision 9924)
+++ /branches/network/src/lib/physics/fields/gravity.cc	(revision 9925)
@@ -21,6 +21,6 @@
 #include "util/loading/factory.h"
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(Gravity, CL_FIELD_GRAVITY);
+
+ObjectListDefinition(Gravity);
 
 CREATE_FACTORY(Gravity);
Index: /branches/network/src/lib/physics/fields/point_gravity.cc
===================================================================
--- /branches/network/src/lib/physics/fields/point_gravity.cc	(revision 9924)
+++ /branches/network/src/lib/physics/fields/point_gravity.cc	(revision 9925)
@@ -20,6 +20,6 @@
 
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(PointGravity, CL_FIELD_POINT_GRAVITY);
+
+ObjectListDefinition(PointGravity);
 
 
Index: /branches/network/src/lib/physics/fields/twirl.cc
===================================================================
--- /branches/network/src/lib/physics/fields/twirl.cc	(revision 9924)
+++ /branches/network/src/lib/physics/fields/twirl.cc	(revision 9925)
@@ -20,6 +20,6 @@
 
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(Twirl, CL_FIELD_TWIRL);
+
+ObjectListDefinition(Twirl);
 
 
Index: /branches/network/src/lib/physics/physics_connection.cc
===================================================================
--- /branches/network/src/lib/physics/physics_connection.cc	(revision 9924)
+++ /branches/network/src/lib/physics/physics_connection.cc	(revision 9925)
@@ -28,5 +28,5 @@
 #include "util/loading/load_param.h"
 
-#include "class_id_DEPRECATED.h"
+
 ObjectListDefinition(PhysicsConnection);
 CREATE_FACTORY(PhysicsConnection);
Index: /branches/network/src/story_entities/menu/game_menu.cc
===================================================================
--- /branches/network/src/story_entities/menu/game_menu.cc	(revision 9924)
+++ /branches/network/src/story_entities/menu/game_menu.cc	(revision 9925)
@@ -41,7 +41,7 @@
 #include "parser/preferences/preferences.h"
 
-#include "class_id_DEPRECATED.h"
+
 //! This creates a Factory to fabricate a GameMenu
-ObjectListDefinitionID(GameMenu, CL_GAME_MENU);
+ObjectListDefinition(GameMenu);
 CREATE_FACTORY(GameMenu);
 
Index: /branches/network/src/story_entities/movie_loader.cc
===================================================================
--- /branches/network/src/story_entities/movie_loader.cc	(revision 9924)
+++ /branches/network/src/story_entities/movie_loader.cc	(revision 9925)
@@ -25,6 +25,6 @@
 
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(MovieLoader, CL_MOVIE_LOADER);
+
+ObjectListDefinition(MovieLoader);
 CREATE_FACTORY(MovieLoader);
 
Index: /branches/network/src/story_entities/multi_player_world.cc
===================================================================
--- /branches/network/src/story_entities/multi_player_world.cc	(revision 9924)
+++ /branches/network/src/story_entities/multi_player_world.cc	(revision 9925)
@@ -36,7 +36,7 @@
 SHELL_COMMAND(debug, MultiPlayerWorld, debug);
 
-#include "class_id_DEPRECATED.h"
+
 //! This creates a Factory to fabricate a MultiPlayerWorld
-ObjectListDefinitionID(MultiPlayerWorld, CL_MULTI_PLAYER_WORLD);
+ObjectListDefinition(MultiPlayerWorld);
 CREATE_FACTORY(MultiPlayerWorld);
 
Index: /branches/network/src/story_entities/single_player_world.cc
===================================================================
--- /branches/network/src/story_entities/single_player_world.cc	(revision 9924)
+++ /branches/network/src/story_entities/single_player_world.cc	(revision 9925)
@@ -30,7 +30,7 @@
 
 
-#include "class_id_DEPRECATED.h"
+
 //! This creates a Factory to fabricate a SinglePlayerWorld
-ObjectListDefinitionID(SinglePlayerWorld, CL_SINGLE_PLAYER_WORLD);
+ObjectListDefinition(SinglePlayerWorld);
 CREATE_FACTORY(SinglePlayerWorld);
 
Index: /branches/network/src/subprojects/network/simple_sync.cc
===================================================================
--- /branches/network/src/subprojects/network/simple_sync.cc	(revision 9924)
+++ /branches/network/src/subprojects/network/simple_sync.cc	(revision 9925)
@@ -22,5 +22,5 @@
 #include "simple_sync.h"
 
-#include "class_id_DEPRECATED.h"
+
 #include "loading/fast_factory.h"
 #include "lib/util/loading/factory.h"
Index: /branches/network/src/util/kill_target.cc
===================================================================
--- /branches/network/src/util/kill_target.cc	(revision 9924)
+++ /branches/network/src/util/kill_target.cc	(revision 9925)
@@ -22,6 +22,6 @@
 
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(KillTarget, CL_KILL_TARGET);
+
+ObjectListDefinition(KillTarget);
 CREATE_FACTORY(KillTarget);
 
Index: /branches/network/src/util/multiplayer_team_deathmatch.cc
===================================================================
--- /branches/network/src/util/multiplayer_team_deathmatch.cc	(revision 9924)
+++ /branches/network/src/util/multiplayer_team_deathmatch.cc	(revision 9925)
@@ -48,7 +48,7 @@
 
 
-#include "class_id_DEPRECATED.h"
-
-ObjectListDefinitionID(MultiplayerTeamDeathmatch, CL_MULTIPLAYER_TEAM_DEATHMATCH);
+
+
+ObjectListDefinition(MultiplayerTeamDeathmatch);
 CREATE_FACTORY(MultiplayerTeamDeathmatch);
 /**
Index: /branches/network/src/util/singleplayer_shootemup.cc
===================================================================
--- /branches/network/src/util/singleplayer_shootemup.cc	(revision 9924)
+++ /branches/network/src/util/singleplayer_shootemup.cc	(revision 9925)
@@ -25,6 +25,6 @@
 
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(SingleplayerShootemup, CL_SINGLEPLAYER_SHOOTEMUP);
+
+ObjectListDefinition(SingleplayerShootemup);
 CREATE_FACTORY(SingleplayerShootemup);
 
Index: /branches/network/src/world_entities/bsp_entity.cc
===================================================================
--- /branches/network/src/world_entities/bsp_entity.cc	(revision 9924)
+++ /branches/network/src/world_entities/bsp_entity.cc	(revision 9925)
@@ -19,6 +19,6 @@
 #include "loading/resource_manager.h"
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(BspEntity, CL_BSP_ENTITY);
+
+ObjectListDefinition(BspEntity);
 CREATE_FACTORY(BspEntity);
 
Index: /branches/network/src/world_entities/creatures/fps_player.cc
===================================================================
--- /branches/network/src/world_entities/creatures/fps_player.cc	(revision 9924)
+++ /branches/network/src/world_entities/creatures/fps_player.cc	(revision 9925)
@@ -41,6 +41,6 @@
 
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(FPSPlayer, CL_FPS_PLAYER);
+
+ObjectListDefinition(FPSPlayer);
 CREATE_FACTORY(FPSPlayer);
 
Index: /branches/network/src/world_entities/creatures/md2_creature.cc
===================================================================
--- /branches/network/src/world_entities/creatures/md2_creature.cc	(revision 9924)
+++ /branches/network/src/world_entities/creatures/md2_creature.cc	(revision 9925)
@@ -36,6 +36,6 @@
 #include "debug.h"
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(MD2Creature, CL_MD2_CREATURE);
+
+ObjectListDefinition(MD2Creature);
 CREATE_FACTORY(MD2Creature);
 
Index: /branches/network/src/world_entities/effects/billboard.cc
===================================================================
--- /branches/network/src/world_entities/effects/billboard.cc	(revision 9924)
+++ /branches/network/src/world_entities/effects/billboard.cc	(revision 9925)
@@ -26,6 +26,6 @@
 
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(Billboard, CL_BILLBOARD);
+
+ObjectListDefinition(Billboard);
 CREATE_FACTORY(Billboard);
 
Index: /branches/network/src/world_entities/effects/explosion.cc
===================================================================
--- /branches/network/src/world_entities/effects/explosion.cc	(revision 9924)
+++ /branches/network/src/world_entities/effects/explosion.cc	(revision 9925)
@@ -27,6 +27,6 @@
 
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(Explosion, CL_EXPLOSION);
+
+ObjectListDefinition(Explosion);
 CREATE_FAST_FACTORY_STATIC(Explosion);
 
Index: /branches/network/src/world_entities/effects/lightning_bolt.cc
===================================================================
--- /branches/network/src/world_entities/effects/lightning_bolt.cc	(revision 9924)
+++ /branches/network/src/world_entities/effects/lightning_bolt.cc	(revision 9925)
@@ -25,6 +25,6 @@
 
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(LightningBolt, CL_LIGHTNING_BOLT);
+
+ObjectListDefinition(LightningBolt);
 CREATE_FACTORY(LightningBolt);
 
Index: /branches/network/src/world_entities/elements/image_entity.cc
===================================================================
--- /branches/network/src/world_entities/elements/image_entity.cc	(revision 9924)
+++ /branches/network/src/world_entities/elements/image_entity.cc	(revision 9925)
@@ -30,6 +30,6 @@
 
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(ImageEntity, CL_IMAGE_ENTITY);
+
+ObjectListDefinition(ImageEntity);
 CREATE_FACTORY(ImageEntity);
 
Index: /branches/network/src/world_entities/elements/text_element.cc
===================================================================
--- /branches/network/src/world_entities/elements/text_element.cc	(revision 9924)
+++ /branches/network/src/world_entities/elements/text_element.cc	(revision 9925)
@@ -27,6 +27,6 @@
 
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(TextElement, CL_TEXT_ELEMENT);
+
+ObjectListDefinition(TextElement);
 CREATE_FACTORY(TextElement);
 
Index: /branches/network/src/world_entities/environment.cc
===================================================================
--- /branches/network/src/world_entities/environment.cc	(revision 9924)
+++ /branches/network/src/world_entities/environment.cc	(revision 9925)
@@ -24,6 +24,6 @@
 #include "util/loading/factory.h"
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(Environment, CL_ENVIRONMENT);
+
+ObjectListDefinition(Environment);
 CREATE_FACTORY(Environment);
 
Index: /branches/network/src/world_entities/environments/building.cc
===================================================================
--- /branches/network/src/world_entities/environments/building.cc	(revision 9924)
+++ /branches/network/src/world_entities/environments/building.cc	(revision 9925)
@@ -23,6 +23,6 @@
 
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(Building, CL_BUILDING);
+
+ObjectListDefinition(Building);
 CREATE_FACTORY(Building);
 
Index: /branches/network/src/world_entities/environments/mapped_water.cc
===================================================================
--- /branches/network/src/world_entities/environments/mapped_water.cc	(revision 9924)
+++ /branches/network/src/world_entities/environments/mapped_water.cc	(revision 9925)
@@ -26,6 +26,6 @@
 #include "resource_shader.h"
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(MappedWater, CL_MAPPED_WATER);
+
+ObjectListDefinition(MappedWater);
 CREATE_FACTORY(MappedWater);
 
Index: /branches/network/src/world_entities/environments/model_entity.cc
===================================================================
--- /branches/network/src/world_entities/environments/model_entity.cc	(revision 9924)
+++ /branches/network/src/world_entities/environments/model_entity.cc	(revision 9925)
@@ -23,6 +23,6 @@
 
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(ModelEntity, CL_MODEL_ENTITY);
+
+ObjectListDefinition(ModelEntity);
 CREATE_FACTORY(ModelEntity);
 
Index: /branches/network/src/world_entities/environments/water.cc
===================================================================
--- /branches/network/src/world_entities/environments/water.cc	(revision 9924)
+++ /branches/network/src/world_entities/environments/water.cc	(revision 9925)
@@ -32,6 +32,6 @@
 
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(Water, CL_WATER);
+
+ObjectListDefinition(Water);
 CREATE_FACTORY(Water);
 
Index: /branches/network/src/world_entities/movie_entity.cc
===================================================================
--- /branches/network/src/world_entities/movie_entity.cc	(revision 9924)
+++ /branches/network/src/world_entities/movie_entity.cc	(revision 9925)
@@ -21,6 +21,6 @@
 
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(MovieEntity, CL_MOVIE_ENTITY);
+
+ObjectListDefinition(MovieEntity);
 CREATE_FACTORY(MovieEntity);
 
Index: /branches/network/src/world_entities/npcs/attractor_mine.cc
===================================================================
--- /branches/network/src/world_entities/npcs/attractor_mine.cc	(revision 9924)
+++ /branches/network/src/world_entities/npcs/attractor_mine.cc	(revision 9925)
@@ -33,6 +33,6 @@
 #include "effects/explosion.h"
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(AttractorMine, CL_ATTRACTOR_MINE);
+
+ObjectListDefinition(AttractorMine);
 CREATE_FACTORY(AttractorMine);
 #include "script_class.h"
Index: /branches/network/src/world_entities/npcs/door.cc
===================================================================
--- /branches/network/src/world_entities/npcs/door.cc	(revision 9924)
+++ /branches/network/src/world_entities/npcs/door.cc	(revision 9925)
@@ -26,6 +26,6 @@
 #include "door.h"
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(Door, CL_DOOR);
+
+ObjectListDefinition(Door);
 CREATE_FACTORY(Door);
 
Index: /branches/network/src/world_entities/npcs/gate.cc
===================================================================
--- /branches/network/src/world_entities/npcs/gate.cc	(revision 9924)
+++ /branches/network/src/world_entities/npcs/gate.cc	(revision 9925)
@@ -31,6 +31,6 @@
 
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(Gate, CL_GATE);
+
+ObjectListDefinition(Gate);
 CREATE_FACTORY(Gate);
 
Index: /branches/network/src/world_entities/npcs/generic_npc.cc
===================================================================
--- /branches/network/src/world_entities/npcs/generic_npc.cc	(revision 9924)
+++ /branches/network/src/world_entities/npcs/generic_npc.cc	(revision 9925)
@@ -33,6 +33,6 @@
 #include "bsp_entity.h"
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(GenericNPC, CL_GENERIC_NPC);
+
+ObjectListDefinition(GenericNPC);
 CREATE_FACTORY(GenericNPC);
 
Index: /branches/network/src/world_entities/npcs/ground_turret.cc
===================================================================
--- /branches/network/src/world_entities/npcs/ground_turret.cc	(revision 9924)
+++ /branches/network/src/world_entities/npcs/ground_turret.cc	(revision 9925)
@@ -29,7 +29,7 @@
 #include "effects/explosion.h"
 
-#include "class_id_DEPRECATED.h"
 
-ObjectListDefinitionID(GroundTurret, CL_GROUND_TURRET);
+
+ObjectListDefinition(GroundTurret);
 CREATE_FACTORY(GroundTurret);
 
Index: /branches/network/src/world_entities/npcs/network_turret.cc
===================================================================
--- /branches/network/src/world_entities/npcs/network_turret.cc	(revision 9924)
+++ /branches/network/src/world_entities/npcs/network_turret.cc	(revision 9925)
@@ -32,6 +32,6 @@
 #include "debug.h"
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(NetworkTurret, CL_NETWORK_TURRET);
+
+ObjectListDefinition(NetworkTurret);
 CREATE_FACTORY(NetworkTurret);
 
Index: /branches/network/src/world_entities/npcs/npc_test.cc
===================================================================
--- /branches/network/src/world_entities/npcs/npc_test.cc	(revision 9924)
+++ /branches/network/src/world_entities/npcs/npc_test.cc	(revision 9925)
@@ -30,6 +30,6 @@
 #include "effects/explosion.h"
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(NPC2, CL_NPC_TEST2);
+
+ObjectListDefinition(NPC2);
 CREATE_FACTORY(NPC2);
 
Index: /branches/network/src/world_entities/npcs/repair_station.cc
===================================================================
--- /branches/network/src/world_entities/npcs/repair_station.cc	(revision 9924)
+++ /branches/network/src/world_entities/npcs/repair_station.cc	(revision 9925)
@@ -26,6 +26,6 @@
 #include "repair_station.h"
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(RepairStation, CL_DOOR +1 );
+
+ObjectListDefinition(RepairStation);
 CREATE_FACTORY(RepairStation);
 
Index: /branches/network/src/world_entities/npcs/space_turret.cc
===================================================================
--- /branches/network/src/world_entities/npcs/space_turret.cc	(revision 9924)
+++ /branches/network/src/world_entities/npcs/space_turret.cc	(revision 9925)
@@ -29,6 +29,6 @@
 #include "effects/explosion.h"
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(SpaceTurret, CL_SPACE_TURRET);
+
+ObjectListDefinition(SpaceTurret);
 CREATE_FACTORY(SpaceTurret);
 
Index: /branches/network/src/world_entities/particles/box_emitter.cc
===================================================================
--- /branches/network/src/world_entities/particles/box_emitter.cc	(revision 9924)
+++ /branches/network/src/world_entities/particles/box_emitter.cc	(revision 9925)
@@ -24,7 +24,7 @@
 #include "debug.h"
 
-#include "class_id_DEPRECATED.h"
 
-ObjectListDefinitionID(BoxEmitter, CL_BOX_EMITTER);
+
+ObjectListDefinition(BoxEmitter);
 CREATE_FACTORY(BoxEmitter);
 
Index: /branches/network/src/world_entities/particles/dot_emitter.cc
===================================================================
--- /branches/network/src/world_entities/particles/dot_emitter.cc	(revision 9924)
+++ /branches/network/src/world_entities/particles/dot_emitter.cc	(revision 9925)
@@ -26,6 +26,6 @@
 
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(DotEmitter, CL_DOT_EMITTER);
+
+ObjectListDefinition(DotEmitter);
 CREATE_FACTORY(DotEmitter);
 
Index: /branches/network/src/world_entities/particles/dot_particles.cc
===================================================================
--- /branches/network/src/world_entities/particles/dot_particles.cc	(revision 9924)
+++ /branches/network/src/world_entities/particles/dot_particles.cc	(revision 9925)
@@ -23,7 +23,7 @@
 #include "state.h"
 
-#include "class_id_DEPRECATED.h"
 
-ObjectListDefinitionID(DotParticles, CL_DOT_PARTICLES);
+
+ObjectListDefinition(DotParticles);
 CREATE_FACTORY(DotParticles);
 
Index: /branches/network/src/world_entities/particles/model_particles.cc
===================================================================
--- /branches/network/src/world_entities/particles/model_particles.cc	(revision 9924)
+++ /branches/network/src/world_entities/particles/model_particles.cc	(revision 9925)
@@ -25,7 +25,7 @@
 #include "debug.h"
 
-#include "class_id_DEPRECATED.h"
 
-ObjectListDefinitionID(ModelParticles, CL_MODEL_PARTICLES);
+
+ObjectListDefinition(ModelParticles);
 CREATE_FACTORY(ModelParticles);
 
Index: /branches/network/src/world_entities/particles/plane_emitter.cc
===================================================================
--- /branches/network/src/world_entities/particles/plane_emitter.cc	(revision 9924)
+++ /branches/network/src/world_entities/particles/plane_emitter.cc	(revision 9925)
@@ -24,7 +24,7 @@
 #include "debug.h"
 
-#include "class_id_DEPRECATED.h"
 
-ObjectListDefinitionID(PlaneEmitter, CL_PLANE_EMITTER);
+
+ObjectListDefinition(PlaneEmitter);
 CREATE_FACTORY(PlaneEmitter);
 
Index: /branches/network/src/world_entities/particles/spark_particles.cc
===================================================================
--- /branches/network/src/world_entities/particles/spark_particles.cc	(revision 9924)
+++ /branches/network/src/world_entities/particles/spark_particles.cc	(revision 9925)
@@ -24,7 +24,7 @@
 #include "shell_command.h"
 
-#include "class_id_DEPRECATED.h"
 
-ObjectListDefinitionID(SparkParticles, CL_SPARK_PARTICLES);
+
+ObjectListDefinition(SparkParticles);
 CREATE_FACTORY(SparkParticles);
 
Index: /branches/network/src/world_entities/particles/sprite_particles.cc
===================================================================
--- /branches/network/src/world_entities/particles/sprite_particles.cc	(revision 9924)
+++ /branches/network/src/world_entities/particles/sprite_particles.cc	(revision 9925)
@@ -24,7 +24,7 @@
 #include "shell_command.h"
 
-#include "class_id_DEPRECATED.h"
 
-ObjectListDefinitionID(SpriteParticles, CL_SPRITE_PARTICLES);
+
+ObjectListDefinition(SpriteParticles);
 CREATE_FACTORY(SpriteParticles);
 
Index: /branches/network/src/world_entities/planet.cc
===================================================================
--- /branches/network/src/world_entities/planet.cc	(revision 9924)
+++ /branches/network/src/world_entities/planet.cc	(revision 9925)
@@ -32,6 +32,6 @@
 #include "debug.h"
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(Planet, CL_PLANET);
+
+ObjectListDefinition(Planet);
 CREATE_FACTORY(Planet);
 
Index: /branches/network/src/world_entities/power_ups/laser_power_up.cc
===================================================================
--- /branches/network/src/world_entities/power_ups/laser_power_up.cc	(revision 9924)
+++ /branches/network/src/world_entities/power_ups/laser_power_up.cc	(revision 9925)
@@ -24,6 +24,6 @@
 
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(LaserPowerUp, CL_LASER_POWER_UP);
+
+ObjectListDefinition(LaserPowerUp);
 CREATE_FACTORY(LaserPowerUp);
 
Index: /branches/network/src/world_entities/power_ups/param_power_up.cc
===================================================================
--- /branches/network/src/world_entities/power_ups/param_power_up.cc	(revision 9924)
+++ /branches/network/src/world_entities/power_ups/param_power_up.cc	(revision 9925)
@@ -27,6 +27,6 @@
 
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(ParamPowerUp, CL_PARAM_POWER_UP);
+
+ObjectListDefinition(ParamPowerUp);
 CREATE_FACTORY(ParamPowerUp);
 
Index: /branches/network/src/world_entities/power_ups/turret_power_up.cc
===================================================================
--- /branches/network/src/world_entities/power_ups/turret_power_up.cc	(revision 9924)
+++ /branches/network/src/world_entities/power_ups/turret_power_up.cc	(revision 9925)
@@ -24,6 +24,6 @@
 
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(TurretPowerUp, CL_TURRET_POWER_UP);
+
+ObjectListDefinition(TurretPowerUp);
 CREATE_FACTORY(TurretPowerUp);
 
Index: /branches/network/src/world_entities/power_ups/weapon_power_up.cc
===================================================================
--- /branches/network/src/world_entities/power_ups/weapon_power_up.cc	(revision 9924)
+++ /branches/network/src/world_entities/power_ups/weapon_power_up.cc	(revision 9925)
@@ -27,6 +27,6 @@
 #include "debug.h"
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(WeaponPowerUp, CL_WEAPON_POWER_UP);
+
+ObjectListDefinition(WeaponPowerUp);
 CREATE_FACTORY(WeaponPowerUp);
 
Index: /branches/network/src/world_entities/projectiles/bomb.cc
===================================================================
--- /branches/network/src/world_entities/projectiles/bomb.cc	(revision 9924)
+++ /branches/network/src/world_entities/projectiles/bomb.cc	(revision 9925)
@@ -25,6 +25,6 @@
 #include "debug.h"
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(Bomb, CL_BOMB);
+
+ObjectListDefinition(Bomb);
 CREATE_FAST_FACTORY_STATIC(Bomb);
 
Index: /branches/network/src/world_entities/projectiles/boomerang_projectile.cc
===================================================================
--- /branches/network/src/world_entities/projectiles/boomerang_projectile.cc	(revision 9924)
+++ /branches/network/src/world_entities/projectiles/boomerang_projectile.cc	(revision 9925)
@@ -26,6 +26,6 @@
 #include "debug.h"
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(BoomerangProjectile, CL_BOOMERANG_PROJECTILE);
+
+ObjectListDefinition(BoomerangProjectile);
 CREATE_FAST_FACTORY_STATIC(BoomerangProjectile);
 
Index: /branches/network/src/world_entities/projectiles/guided_missile.cc
===================================================================
--- /branches/network/src/world_entities/projectiles/guided_missile.cc	(revision 9924)
+++ /branches/network/src/world_entities/projectiles/guided_missile.cc	(revision 9925)
@@ -25,6 +25,6 @@
 #include "debug.h"
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(GuidedMissile, CL_GUIDED_MISSILE);
+
+ObjectListDefinition(GuidedMissile);
 CREATE_FAST_FACTORY_STATIC(GuidedMissile);
 
Index: /branches/network/src/world_entities/projectiles/hyperblast.cc
===================================================================
--- /branches/network/src/world_entities/projectiles/hyperblast.cc	(revision 9924)
+++ /branches/network/src/world_entities/projectiles/hyperblast.cc	(revision 9925)
@@ -25,6 +25,6 @@
 #include "debug.h"
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(Hyperblast, CL_HYPERBLAST);
+
+ObjectListDefinition(Hyperblast);
 CREATE_FAST_FACTORY_STATIC(Hyperblast);
 
Index: /branches/network/src/world_entities/projectiles/laser.cc
===================================================================
--- /branches/network/src/world_entities/projectiles/laser.cc	(revision 9924)
+++ /branches/network/src/world_entities/projectiles/laser.cc	(revision 9925)
@@ -28,5 +28,5 @@
 
 
-#include "class_id_DEPRECATED.h"
+
 ObjectListDefinition(Laser);
 CREATE_FAST_FACTORY_STATIC(Laser);
Index: /branches/network/src/world_entities/projectiles/rail_projectile.cc
===================================================================
--- /branches/network/src/world_entities/projectiles/rail_projectile.cc	(revision 9924)
+++ /branches/network/src/world_entities/projectiles/rail_projectile.cc	(revision 9925)
@@ -28,6 +28,6 @@
 
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(RailProjectile, CL_RAIL_PROJECTILE);
+
+ObjectListDefinition(RailProjectile);
 CREATE_FAST_FACTORY_STATIC(RailProjectile);
 
Index: /branches/network/src/world_entities/projectiles/rocket.cc
===================================================================
--- /branches/network/src/world_entities/projectiles/rocket.cc	(revision 9924)
+++ /branches/network/src/world_entities/projectiles/rocket.cc	(revision 9925)
@@ -25,6 +25,6 @@
 #include "debug.h"
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(Rocket, CL_ROCKET);
+
+ObjectListDefinition(Rocket);
 CREATE_FAST_FACTORY_STATIC(Rocket);
 
Index: /branches/network/src/world_entities/projectiles/test_bullet.cc
===================================================================
--- /branches/network/src/world_entities/projectiles/test_bullet.cc	(revision 9924)
+++ /branches/network/src/world_entities/projectiles/test_bullet.cc	(revision 9925)
@@ -24,6 +24,6 @@
 #include "debug.h"
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(TestBullet, CL_TEST_BULLET);
+
+ObjectListDefinition(TestBullet);
 CREATE_FAST_FACTORY_STATIC(TestBullet);
 
Index: /branches/network/src/world_entities/recorder.cc
===================================================================
--- /branches/network/src/world_entities/recorder.cc	(revision 9924)
+++ /branches/network/src/world_entities/recorder.cc	(revision 9925)
@@ -21,6 +21,6 @@
 #include "debug.h"
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(Recorder, CL_RECORDER);
+
+ObjectListDefinition(Recorder);
 CREATE_FACTORY(Recorder);
 
Index: /branches/network/src/world_entities/skybox.cc
===================================================================
--- /branches/network/src/world_entities/skybox.cc	(revision 9924)
+++ /branches/network/src/world_entities/skybox.cc	(revision 9925)
@@ -31,6 +31,6 @@
 #include "debug.h"
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(SkyBox, CL_SKYBOX);
+
+ObjectListDefinition(SkyBox);
 CREATE_FACTORY(SkyBox);
 
Index: /branches/network/src/world_entities/space_ships/collision_probe.cc
===================================================================
--- /branches/network/src/world_entities/space_ships/collision_probe.cc	(revision 9924)
+++ /branches/network/src/world_entities/space_ships/collision_probe.cc	(revision 9925)
@@ -24,6 +24,6 @@
 
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(CollisionProbe, CL_COLLISION_PROBE);
+
+ObjectListDefinition(CollisionProbe);
 
 CREATE_FACTORY(CollisionProbe);
Index: /branches/network/src/world_entities/space_ships/cruizer.cc
===================================================================
--- /branches/network/src/world_entities/space_ships/cruizer.cc	(revision 9924)
+++ /branches/network/src/world_entities/space_ships/cruizer.cc	(revision 9925)
@@ -34,6 +34,6 @@
 #include "debug.h"
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(Cruizer, CL_CRUIZER);
+
+ObjectListDefinition(Cruizer);
 CREATE_FACTORY(Cruizer);
 
Index: /branches/network/src/world_entities/space_ships/helicopter.cc
===================================================================
--- /branches/network/src/world_entities/space_ships/helicopter.cc	(revision 9924)
+++ /branches/network/src/world_entities/space_ships/helicopter.cc	(revision 9925)
@@ -34,6 +34,6 @@
 #include "debug.h"
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(Helicopter, CL_HELICOPTER);
+
+ObjectListDefinition(Helicopter);
 CREATE_FACTORY(Helicopter);
 #include "script_class.h"
Index: /branches/network/src/world_entities/space_ships/hover.cc
===================================================================
--- /branches/network/src/world_entities/space_ships/hover.cc	(revision 9924)
+++ /branches/network/src/world_entities/space_ships/hover.cc	(revision 9925)
@@ -34,6 +34,6 @@
 #include "debug.h"
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(Hover, CL_HOVER);
+
+ObjectListDefinition(Hover);
 CREATE_FACTORY(Hover);
 
Index: /branches/network/src/world_entities/space_ships/space_ship.cc
===================================================================
--- /branches/network/src/world_entities/space_ships/space_ship.cc	(revision 9924)
+++ /branches/network/src/world_entities/space_ships/space_ship.cc	(revision 9925)
@@ -53,6 +53,6 @@
 
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(SpaceShip, CL_SPACE_SHIP);
+
+ObjectListDefinition(SpaceShip);
 CREATE_FACTORY(SpaceShip);
 
Index: /branches/network/src/world_entities/space_ships/spacecraft_2d.cc
===================================================================
--- /branches/network/src/world_entities/space_ships/spacecraft_2d.cc	(revision 9924)
+++ /branches/network/src/world_entities/space_ships/spacecraft_2d.cc	(revision 9925)
@@ -38,6 +38,6 @@
 
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(Spacecraft2D, CL_SPACECRAFT_2D);
+
+ObjectListDefinition(Spacecraft2D);
 CREATE_FACTORY(Spacecraft2D);
 
Index: /branches/network/src/world_entities/space_ships/turbine_hover.cc
===================================================================
--- /branches/network/src/world_entities/space_ships/turbine_hover.cc	(revision 9924)
+++ /branches/network/src/world_entities/space_ships/turbine_hover.cc	(revision 9925)
@@ -34,6 +34,6 @@
 #include "debug.h"
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(TurbineHover, CL_TURBINE_HOVER);
+
+ObjectListDefinition(TurbineHover);
 CREATE_FACTORY(TurbineHover);
 
Index: /branches/network/src/world_entities/spawning_point.cc
===================================================================
--- /branches/network/src/world_entities/spawning_point.cc	(revision 9924)
+++ /branches/network/src/world_entities/spawning_point.cc	(revision 9925)
@@ -33,6 +33,6 @@
 #include "converter.h"
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(SpawningPoint, CL_SPAWNING_POINT);
+
+ObjectListDefinition(SpawningPoint);
 CREATE_FACTORY( SpawningPoint);
 /**
Index: /branches/network/src/world_entities/spectator.cc
===================================================================
--- /branches/network/src/world_entities/spectator.cc	(revision 9924)
+++ /branches/network/src/world_entities/spectator.cc	(revision 9925)
@@ -25,6 +25,6 @@
 #include "src/world_entities/npcs/generic_npc.h"
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(Spectator, CL_SPECTATOR);
+
+ObjectListDefinition(Spectator);
 CREATE_FACTORY(Spectator);
 
Index: /branches/network/src/world_entities/terrain.cc
===================================================================
--- /branches/network/src/world_entities/terrain.cc	(revision 9924)
+++ /branches/network/src/world_entities/terrain.cc	(revision 9925)
@@ -34,6 +34,6 @@
 #include "debug.h"
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(Terrain, CL_TERRAIN);
+
+ObjectListDefinition(Terrain);
 CREATE_FACTORY(Terrain);
 
Index: /branches/network/src/world_entities/test_entity.cc
===================================================================
--- /branches/network/src/world_entities/test_entity.cc	(revision 9924)
+++ /branches/network/src/world_entities/test_entity.cc	(revision 9925)
@@ -35,5 +35,5 @@
 
 
-#include "class_id_DEPRECATED.h"
+
 ObjectListDefinition(TestEntity);
 CREATE_FACTORY(TestEntity);
Index: /branches/network/src/world_entities/weapons/aiming_turret.cc
===================================================================
--- /branches/network/src/world_entities/weapons/aiming_turret.cc	(revision 9924)
+++ /branches/network/src/world_entities/weapons/aiming_turret.cc	(revision 9925)
@@ -27,6 +27,6 @@
 #include "util/loading/factory.h"
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(AimingTurret, CL_AIMING_TURRET);
+
+ObjectListDefinition(AimingTurret);
 CREATE_FACTORY(AimingTurret);
 
Index: /branches/network/src/world_entities/weapons/boomerang_gun.cc
===================================================================
--- /branches/network/src/world_entities/weapons/boomerang_gun.cc	(revision 9924)
+++ /branches/network/src/world_entities/weapons/boomerang_gun.cc	(revision 9925)
@@ -27,6 +27,6 @@
 #include "util/loading/factory.h"
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(BoomerangGun, CL_BOOMERANG_GUN);
+
+ObjectListDefinition(BoomerangGun);
 CREATE_FACTORY(BoomerangGun);
 
Index: /branches/network/src/world_entities/weapons/cannon.cc
===================================================================
--- /branches/network/src/world_entities/weapons/cannon.cc	(revision 9924)
+++ /branches/network/src/world_entities/weapons/cannon.cc	(revision 9925)
@@ -36,6 +36,6 @@
 
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(Cannon, CL_CANNON);
+
+ObjectListDefinition(Cannon);
 CREATE_FACTORY(Cannon);
 
Index: /branches/network/src/world_entities/weapons/fps_sniper_rifle.cc
===================================================================
--- /branches/network/src/world_entities/weapons/fps_sniper_rifle.cc	(revision 9924)
+++ /branches/network/src/world_entities/weapons/fps_sniper_rifle.cc	(revision 9925)
@@ -39,6 +39,6 @@
 
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(FPSSniperRifle, CL_FPS_SNIPER_RIFLE);
+
+ObjectListDefinition(FPSSniperRifle);
 CREATE_FACTORY(FPSSniperRifle);
 
Index: /branches/network/src/world_entities/weapons/hyperblaster.cc
===================================================================
--- /branches/network/src/world_entities/weapons/hyperblaster.cc	(revision 9924)
+++ /branches/network/src/world_entities/weapons/hyperblaster.cc	(revision 9925)
@@ -35,6 +35,6 @@
 
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(Hyperblaster, CL_HYPERBLASTER);
+
+ObjectListDefinition(Hyperblaster);
 CREATE_FACTORY(Hyperblaster);
 
Index: /branches/network/src/world_entities/weapons/laser_cannon.cc
===================================================================
--- /branches/network/src/world_entities/weapons/laser_cannon.cc	(revision 9924)
+++ /branches/network/src/world_entities/weapons/laser_cannon.cc	(revision 9925)
@@ -31,6 +31,6 @@
 #include "loading/fast_factory.h"
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(LaserCannon, CL_LASER_CANNON);
+
+ObjectListDefinition(LaserCannon);
 CREATE_FACTORY(LaserCannon);
 
Index: /branches/network/src/world_entities/weapons/targeting_turret.cc
===================================================================
--- /branches/network/src/world_entities/weapons/targeting_turret.cc	(revision 9924)
+++ /branches/network/src/world_entities/weapons/targeting_turret.cc	(revision 9925)
@@ -26,6 +26,6 @@
 #include "util/loading/factory.h"
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(TargetingTurret, CL_TARGETING_TURRET);
+
+ObjectListDefinition(TargetingTurret);
 CREATE_FACTORY(TargetingTurret);
 
Index: /branches/network/src/world_entities/weapons/test_gun.cc
===================================================================
--- /branches/network/src/world_entities/weapons/test_gun.cc	(revision 9924)
+++ /branches/network/src/world_entities/weapons/test_gun.cc	(revision 9925)
@@ -33,6 +33,6 @@
 #include "loading/fast_factory.h"
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(TestGun, CL_TEST_GUN);
+
+ObjectListDefinition(TestGun);
 CREATE_FACTORY(TestGun);
 /**
Index: /branches/network/src/world_entities/weapons/turret.cc
===================================================================
--- /branches/network/src/world_entities/weapons/turret.cc	(revision 9924)
+++ /branches/network/src/world_entities/weapons/turret.cc	(revision 9925)
@@ -27,6 +27,6 @@
 #include "util/loading/factory.h"
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(Turret, CL_TURRET);
+
+ObjectListDefinition(Turret);
 CREATE_FACTORY(Turret);
 
Index: /branches/network/src/world_entities/weather_effects/cloud_effect.cc
===================================================================
--- /branches/network/src/world_entities/weather_effects/cloud_effect.cc	(revision 9924)
+++ /branches/network/src/world_entities/weather_effects/cloud_effect.cc	(revision 9925)
@@ -30,5 +30,5 @@
 #include "resource_shader.h"
 
-#include "class_id_DEPRECATED.h"
+
 
 Vector    CloudEffect::cloudColor;
@@ -41,5 +41,5 @@
 float     CloudEffect::fadeTime;
 
-ObjectListDefinitionID(CloudEffect, CL_CLOUD_EFFECT);
+ObjectListDefinition(CloudEffect);
 
 
Index: /branches/network/src/world_entities/weather_effects/fog_effect.cc
===================================================================
--- /branches/network/src/world_entities/weather_effects/fog_effect.cc	(revision 9924)
+++ /branches/network/src/world_entities/weather_effects/fog_effect.cc	(revision 9925)
@@ -30,5 +30,5 @@
 SHELL_COMMAND(fadeout, FogEffect, fadeOutFog);
 
-#include "class_id_DEPRECATED.h"
+
 
 CREATE_SCRIPTABLE_CLASS(FogEffect,
Index: /branches/network/src/world_entities/weather_effects/lense_flare.cc
===================================================================
--- /branches/network/src/world_entities/weather_effects/lense_flare.cc	(revision 9924)
+++ /branches/network/src/world_entities/weather_effects/lense_flare.cc	(revision 9925)
@@ -34,7 +34,7 @@
 #include "camera.h"
 
-#include "class_id_DEPRECATED.h"
-
-ObjectListDefinitionID(LenseFlare, CL_LENSE_FLARE);
+
+
+ObjectListDefinition(LenseFlare);
 CREATE_FACTORY(LenseFlare);
 
Index: /branches/network/src/world_entities/weather_effects/lightning_effect.cc
===================================================================
--- /branches/network/src/world_entities/weather_effects/lightning_effect.cc	(revision 9924)
+++ /branches/network/src/world_entities/weather_effects/lightning_effect.cc	(revision 9925)
@@ -28,7 +28,7 @@
 #include "script_class.h"
 #include "debug.h"
-#include "class_id_DEPRECATED.h"
-
-ObjectListDefinitionID(LightningEffect, CL_LIGHTNING_EFFECT);
+
+
+ObjectListDefinition(LightningEffect);
 
 SHELL_COMMAND(activate, LightningEffect, activateLightning);
Index: /branches/network/src/world_entities/weather_effects/rain_effect.cc
===================================================================
--- /branches/network/src/world_entities/weather_effects/rain_effect.cc	(revision 9924)
+++ /branches/network/src/world_entities/weather_effects/rain_effect.cc	(revision 9925)
@@ -32,7 +32,7 @@
 #include "debug.h"
 
-#include "class_id_DEPRECATED.h"
-
-ObjectListDefinitionID(RainEffect, CL_RAIN_EFFECT);
+
+
+ObjectListDefinition(RainEffect);
 
 // Define shell commands
Index: /branches/network/src/world_entities/weather_effects/snow_effect.cc
===================================================================
--- /branches/network/src/world_entities/weather_effects/snow_effect.cc	(revision 9924)
+++ /branches/network/src/world_entities/weather_effects/snow_effect.cc	(revision 9925)
@@ -30,7 +30,7 @@
 #include "cloud_effect.h"
 
-#include "class_id_DEPRECATED.h"
-
-ObjectListDefinitionID(SnowEffect, CL_SNOW_EFFECT);
+
+
+ObjectListDefinition(SnowEffect);
 SHELL_COMMAND(activate, SnowEffect, activateSnow);
 SHELL_COMMAND(deactivate, SnowEffect, deactivateSnow);
Index: /branches/network/src/world_entities/weather_effects/volfog_effect.cc
===================================================================
--- /branches/network/src/world_entities/weather_effects/volfog_effect.cc	(revision 9924)
+++ /branches/network/src/world_entities/weather_effects/volfog_effect.cc	(revision 9925)
@@ -49,6 +49,6 @@
 
 
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(VolFogEffect, CL_VOLFOG_EFFECT);
+
+ObjectListDefinition(VolFogEffect);
 CREATE_FACTORY(VolFogEffect);
 
